﻿package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.events.MouseEvent;
	import flash.geom.Point;
	import flash.utils.setInterval;

	public class Liner extends Sprite
	{
		public var balls:Array
		public function Liner()
		{
			balls = new Array();
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(FullScreenEvent.FULL_SCREEN,fullhandler);
			setInterval(buildScreen,50);
			stage.addEventListener(MouseEvent.MOUSE_MOVE,clickHandler);
		}
		private function fullhandler(e:FullScreenEvent):void
		{
			balls = new Array();
		}
		private function clickHandler(e:MouseEvent):void
		{
			var pt:Point = new Point(e.stageX,e.stageY);
			var obj:Object = {"posx":this.globalToLocal(pt).x,"posy":this.globalToLocal(pt).y,"angle":0,"rayon":(Math.random()*50 + 40),"centerY":this.globalToLocal(pt).y,"centerX":this.globalToLocal(pt).x};
			balls.push(obj);
			//balls.sortOn(["posx"],[Array.NUMERIC]);
		}
		
		private function buildScreen():void
		{
			
			this.graphics.clear();
			
			for(var i:Number = 0;i<balls.length;i++){
				
				graphics.beginFill(0x050B45,0);
				graphics.drawCircle(balls[i].posx,balls[i].posy,1);
				graphics.endFill();
				graphics.lineStyle(1,0x000000,0.2);
				
				//draw the lines
				if(i>6){
					
					
					graphics.moveTo(balls[i-1].posx,balls[i-1].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
					graphics.moveTo(balls[i-2].posx,balls[i-2].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
					graphics.moveTo(balls[i-3].posx,balls[i-3].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
					graphics.moveTo(balls[i-4].posx,balls[i-4].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
					graphics.moveTo(balls[i-5].posx,balls[i-5].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
					graphics.moveTo(balls[i-6].posx,balls[i-6].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);
					graphics.moveTo(balls[i-7].posx,balls[i-7].posy);
					graphics.lineTo(balls[i].posx,balls[i].posy);


					
					
				}
				graphics.lineStyle();
				//set the new position
				balls[i].posy = balls[i].centerY + Math.sin(balls[i].angle*Math.PI/180)*balls[i].rayon;
				balls[i].posx = balls[i].centerX + Math.cos(balls[i].angle*Math.PI/180)*balls[i].rayon;
				balls[i].angle++;
			}
		}
	}
}